import NProgress from 'nprogress'
import React from 'react'

export interface AyncModuleLoaderState {
    asyncComponent: any
}
export default function AyncModuleLoader(importComponent: any) {
    return class AsyncComponent extends React.Component<unknown, AyncModuleLoaderState> {
        constructor(props: unknown) {
            super(props)
            this.state = {
                asyncComponent: null
            }
            NProgress.start()
        }
        async componentDidMount() {
            if (this.state.asyncComponent) {
                return
            }
            const { default: component } = await importComponent()
            this.setState({
                asyncComponent: component
            })
            NProgress.done()
        }
        // shouldComponentUpdate(nextProps: any, nextState: any) {
        //     console.log(nextProps, nextState)
        //     return true
        // }
        // componentWillUnmount() {
        //     NProgress.done()
        // }
        render() {
            const { asyncComponent:Component } = this.state
            return Component ? <Component {...this.props} /> : null
        }
    }
}
