import { tenderStore, userStore } from '@/store/mobx'
import { observer } from 'mobx-react'
import React, { useEffect } from 'react'
interface Authorization {
  type: 'contract' | 'safe' | 'quality'
  auth: 'access' | 'add' | 'delete'
  children: React.ReactNode
}

/** auth的格式化为：delete | add | access */
const Authorization: React.FC<Authorization> = ({ type, auth, children }) => {
  useEffect(() => {
    if (tenderStore.bid && !tenderStore.permission) {
      tenderStore.saveTenderPermission()
    }
    if (!tenderStore.tender.bidsectionId) {
      tenderStore.cloneTenderFromStorage()
    }
  }, [ ])
  const authPass = 1


  // 获取mobx存储的权限
  const permission = tenderStore.permission && tenderStore.permission[type]

  if (permission && permission[auth] === authPass || !!userStore.userInfo.isAdmin) {
    return <>{children}</>
  }
  return null
}


export default observer(Authorization)
