import { Button } from 'antd'
// import 'antd/es/table/style/index'
import { ButtonProps } from 'antd/lib/button/button'
import React from 'react'
import styles from './index.module.scss'
const ZhButton:React.FC<ButtonProps> = props => {
  return <div className={styles.primaryButton}><Button {...props} /></div>
}

const ZhCloseButton:React.FC<ButtonProps> = props => {
  return <div className={styles.closeButton}><Button {...props} /></div>
}

const ZhSubmitButton:React.FC<ButtonProps> = props => {
  return <div className={styles.submitButton}><Button {...props} /></div>
}

const ZhUploadButton:React.FC<ButtonProps> = props => {
  return <div className={styles.uploadButton}><Button {...props} type="text" /></div>
}

const ZhAuditBackButton:React.FC<ButtonProps> = props => {
  return <div className={styles.auditBackButton}><Button {...props} /></div>
}

const ZhDangerButton:React.FC<ButtonProps> = props => {
  return <div className={styles.dangerButton}><Button {...props} /></div>
}
interface iExpandProps {
  onExpand: () => void
  expanded: boolean
}
const ExpandButton:React.FC<iExpandProps> = props => {
  const { onExpand, expanded = true } = props
  const className = expanded ? "ant-table-row-expand-icon-expanded" : "ant-table-row-expand-icon-collapsed"
  return <button type="button" className={[ "ant-table-row-expand-icon", className ].join(" ")} onClick={onExpand} />
}
export {
  ZhButton,
  ZhCloseButton,
  ZhSubmitButton,
  ZhUploadButton,
  ExpandButton,
  ZhAuditBackButton,
  ZhDangerButton
}

