import React, { PropsWithChildren } from 'react'
interface iHeaderProps {
  title?: string;
}


const Header: React.FC<PropsWithChildren<iHeaderProps>> = props => {
  const renderChild = (child: any, idx?: number) => { // 控制内容的分发
    let positionClass: string = ''
    switch (child?.props?.position) {
      case 'left':
        positionClass = 'pi-header-left'
        if (!props.title) {
          positionClass += ' no-title'
        }
        break
      case 'center':
        positionClass = 'pi-header-center'
        break
      case 'right':
        positionClass = 'pi-header-right'
        break
      default:
        break
    }
    return (
      <div key={idx} className={positionClass}>
        {child}
      </div>
    )
  }
  return (
    <div className="pi-height-34 pi-lh-30 pi-pd-right-20 pi-pd-left-15 pi-header pi-flex-row">
      {
        props.title ? <span>{props.title}</span> : ''
      }
      {props.children && Array.isArray(props.children) ?
          props.children.map((child, index) => renderChild(child, index)) : props.children && renderChild(props.children)}
    </div>
  )
}
export default Header
