import SvgIcon from '@/components/SvgIcon'
import { tenderStore, userStore } from '@/store/mobx'
import { iNavSide } from '@/types/router'
import { Tooltip } from 'antd'
import { observer } from 'mobx-react'
import React, { useEffect } from 'react'
import { Link } from 'react-router-dom'
import "./index.scss"
const LeftSide:React.FC<iNavSide> = ({ childRoutes, location, showBidsection = false }) => {
  const state = location.state && location.state
  useEffect(() => {
    if (!showBidsection && !userStore.projectInfo.id) {
      userStore.getProjectInfo()
    }
    if (!tenderStore.bid && state?.bidsectionId) {
      tenderStore.saveTenderInfo(state)
    }
  }, [])
  const pathname = location.pathname
  const route = childRoutes.find(item => pathname.indexOf(item.path) !== -1)
  let basePathname = location.pathname
  if (route) {
    basePathname = pathname.substring(0, pathname.indexOf(route.path))
  }

  
  return (
    <div className={userStore.showLeftSide ? "panel-sidebar" : "scale-out-hor-left"}>
      <div>
        <Tooltip title={!showBidsection ? userStore.projectName : (state?.name ?? tenderStore.bidsction_name)} placement="right">
          <div className="pi-pd-10 pi-mg-bottom-10 sidebar-title ">
            <span className="pi-ellipsis-2">{!showBidsection ? userStore.projectName : (state?.name ?? tenderStore.bidsction_name)}</span>
          </div>
        </Tooltip>
        <div className="pi-flex-column pi-justify-start">
          { childRoutes.map((item, idx) =>
            item.meta && <Link key={idx} to={{ pathname: `${basePathname + item.path}`, state }} className={pathname.indexOf(item.path) !== -1 ? 'nav-link active' : 'nav-link'}>{item.meta.icon ? <SvgIcon type={item.meta.icon} /> : ''} {item.meta.title}</Link>
          )}
        </div>
      </div>
      <div />
      {/* <div className="pi-text-center pi-pd-10 pi-pointer" onClick={() => userStore.toggleLeftSide()}>
        <Tooltip title="折叠侧栏">
          <SvgIcon type="xxh-sign-out" style={{ color: '#007bff', fontSize: 24 }}></SvgIcon>
        </Tooltip>
      </div> */}
    </div>
  )
}

export default observer(LeftSide)
