import SvgIcon from '@/components/SvgIcon/index'
import { iMenuItem } from '@/types/router'
import { Tooltip } from 'antd'
import React from 'react'
import { Link, RouteComponentProps, withRouter } from 'react-router-dom'
interface iMeunProps extends RouteComponentProps{
  item: iMenuItem
}

const Meun:React.FC<iMeunProps> = props => {
  const { item: { path, icon, title, isTop }, location } = props

  const isActive = location.pathname.indexOf(path) !== -1

  return (
    <Tooltip placement="right" title={title}>
      <Link to={path} className={ isActive ? 'active' : ''}>
        <SvgIcon type={icon} style={{ fontSize: 27, color: '#7786ab' }} />
        { isActive && isTop ? <span className="pi-fz-12">{title}</span> : ''}
      </Link>
    </Tooltip>
  )
}

export default withRouter(Meun)
