import BigNumber from 'bignumber.js'
import { useState, useEffect } from 'react'

/** 解决tab高度问题，实现tab下的table自动扩展高度 */
export const useTabHeighAuto = () => {
  const [ clientHeight, setClientHeight ] = useState(document.body.clientHeight)
  useEffect(() => {
    const handleScroll = () => setClientHeight(document.body.clientHeight)
    window.addEventListener('resize', handleScroll)
    return () => {
      window.removeEventListener('resize', handleScroll)
    }
  }, [])

  return new BigNumber(clientHeight).minus(34).multipliedBy(0.38).minus(36).minus(32).minus(32).toString() + 'px'
}
