import request from '@/utils/common/request'

/**
 * 获取标段合同树-项目节信息(收入/支出)
 * @param bidsectionId 标段id
 */
export async function apiContractTree(type: 'income' | 'expenditure',bidsectionId: string) {
  const { data } = await request.get(`/api/contract/${type}/section/all`, { bidsectionId })
  return data
}

/**
 * 设置模板
 * @param templateNumber 模板号
 * @param bidsectionId 标段id
 * @param treeType 项目节类型(0收入1支出)默认为0
 */
export async function apiSetTemplate(templateNumber: string, bidsectionId: string, treeType: number) {
  const { data } = await request.post('/api/contract/section/template', { templateNumber: parseInt(templateNumber), bidsectionId, treeType: treeType })
  return data
}


