import request from '@/utils/common/request'
import consts from '@/utils/consts'


/**
 * 合同增删改(包括添加已支付)
 * @param type - 操作类型
 * @param payload - 载荷
 */
export async function apiResfulContract(type: string, payload: object) {
  let url: string = '', method: string = ''
  switch (type) {
    case 'create':
      url = '/api/contract/expenditure/create'
      method = 'post'
      break
    case 'update':
      url = '/api/contract/expenditure/update'
      method = 'post'
      break
    case 'close':
      url = '/api/contract/close'
      method = 'post'
      break
    case 'del':
      url = '/api/contract/expenditure'
      method = 'del'
      break
    case 'unlock':
      url = '/api/contract/unlock'
      method = 'post'
      break
    case 'add':
      url = '/api/contract/paid/create'
      method = 'post'
      break
    default:
      break
  }
  const { data } = await request[method](url, { ...payload, treeType: consts.CONTRACT_TREE.PAID })
  return data
}
