import Header from '@/components/Header'
import history from '@/utils/history'
import { Button, Result } from 'antd'
import React from 'react'
import { CopyrightOutlined } from '@ant-design/icons'
import styles from './index.module.scss'
import logo from '@/assets/img/logo.png'
export default function Loss() {
  const btnClick = () => {
    history.push('/')
  }
  return (
    <div className={[ 'pi-width-100P', 'pi-flex-column', 'pi-justify-between', styles.notFoundPage ].join(" ")}>
      <Header title="未找到该页面" />
      <Result
        status="404"
        title="404"
        subTitle="抱歉，你访问的页面不存在。"
        extra={<Button type="primary" onClick={btnClick}>返回首页</Button>}
      />
      <footer className={styles.footerContent}>
        <div className={styles.fotterLinks}>
          <img src={logo} className="pi-width-18 pi-height-18"/>
          <span>纵横工程项目管理系统</span>
        </div>
        <div className={styles.footerCopyright}>
        Copyright <CopyrightOutlined /> <a href="https://smartcost.com.cn">珠海纵横创新软件有限公司</a>
        <span className="pi-mg-left-5">粤ICP备14032472号</span>
        </div>
      </footer>
    </div>
  )
}
