import { iFromValues } from '@/types/login'
import request from "@/utils/common/request"

/**
 * 请求登录
 * @param datas
 * @return {Promise<>}
 */
const apiLogin = async (data: iFromValues) => {
  const res = await request.post('/api/login', data)


  return res.data
}

/**
 * 获取项目信息
 * @param {string} code - 项目编号
 * @return {Promise<>}
 */
const apiProject = async (code: string) => {
  const { data = {} } = await request.get(`/api/login/project/name`, { code })
  return data
}

export {
  apiLogin,
  apiProject
}

