import request from '@/utils/common/request'

/**
 * 获取标段管理-树结构数据
 */
export async function apiTree() {
  const { data } = await request.get('/api/tree')
  return data
}

/**
 * 树结构-resful api
 * @param {iModalTypeProps} type - 类型
 * @param {object} payload - 载荷
 */
export async function apiResfulTree(type: string, payload: object) {
  let url:string = '', method: string = ''

  switch (type) {
    case 'root':
      url = '/api/tree/create'
      method = 'post'
      break
    case 'folder':
      url = '/api/tree/create'
      method = 'post'
      break

    case 'tender':
      url = '/api/bidsection/create'
      method = 'post'
      break
    case 'rename':
      url = '/api/tree/rename'
      method = 'post'
      break
    case 'move':
      url = '/api/tree/move'
      method = 'post'
      break
    case 'delTender':
      url = '/api/tree'
      method = 'del'
      break
    case 'delFolder':
      url = '/api/tree'
      method = 'del'
      break
    default:
      break
  }
  const { data } = await request[method](url, payload)
  return data
}
