import { iAuditHistoryState } from "@/types/safe"
import request from "@/utils/common/request"

/**
 * 获取安全巡检详情
 * @param id - 安全巡检id
 */
export async function apiGetQualityDetail(id: string) {
  const { data } = await request.get('/api/quality/detail', { id })
  const auditHistory: iAuditHistoryState[][] = []
  for (const key in data?.data?.auditHistory) {
    if (Object.prototype.hasOwnProperty.call(data?.data?.auditHistory, key)) {
      const history = data?.data?.auditHistory[key]
      auditHistory.unshift(history)
    }
  }
  data.data.auditHistory = auditHistory
  return data
}

// 安全巡检审批
export async function apiResfulQualityAudit(type: string, payload: object) {
  if (type === 'delete') {
    // 删除巡检记录
    const { data } = await request.del('/api/quality/del', payload)
    return data
  } else {
    const { data } = await request.post(`/api/quality_audit/${type}`, payload)
    return data
  }
}
