import { iAuditHistoryState } from "@/types/safe"
import request from "@/utils/common/request"

/**
 * 获取安全巡检详情
 * @param id - 安全巡检id
 */
export async function apiGetSafeDetail(id: string) {
  const { data } = await request.get('/api/safe/detail', { id })
  const auditHistory: iAuditHistoryState[][] = []
  for (const key in data?.data?.auditHistory) {
    if (Object.prototype.hasOwnProperty.call(data?.data?.auditHistory, key)) {
      const history = data?.data?.auditHistory[key]
      auditHistory.unshift(history)
    }
  }
  if (data && data.data && data.data.auditHistory) {
    data.data.auditHistory = auditHistory
  }
  return data
}

// 安全巡检审批
export async function apiResfulSafeAudit(type: string, payload: object) {
  if (type === 'delete') {
    // 删除巡检记录
    const { data } = await request.del('/api/safe/del', payload)
    return data
  } else {
    const { data } = await request.post(`/api/safe_audit/${type}`, payload)
    return data
  }
}
