import { apiContractTree } from '@/pages/Contract/Content/Income/components/Modal/api'
import { iContractState, ContractTree } from '@/types/contract'
import consts from '@/utils/consts'
import { action, computed, observable } from 'mobx'
const initData = {
  bidsectionId: '',
  code: '',
  content: '',
  contractsType: 0,
  createTime: '',
  id: '',
  name: '',
  paid: '0.00',
  partyA: '',
  partyASigner: '',
  partyB: '',
  partyBSigner: '',
  price: 0,
  projectId: '',
  remarks: '',
  returned: '0.00',
  signerTime: '',
  status: 0,
  treeId: '',
  updateTime: ''
}

export enum ContractType {
  INCOME = 'income',
  EXPENDITURE = 'expenditure'
}


class Contract {
  @observable tree: ContractTree[] = []
  @observable contract: iContractState = initData
  @observable activeKey: string = ''

  @action changeActiveKey(i: string) {
    this.activeKey = i
  }
  @action updateTree(tree: ContractTree[]) {
    this.tree = tree
  }

  @action resetTree(type: 'income' | 'expenditure', id: string) {
    apiContractTree(type, id).then(({ code = -1, sectionTree = {} }) => {
      if (code === consts.RET_CODE.SUCCESS && Object.keys(sectionTree).length) {
        this.tree = sectionTree.children
      }
    })
  }

  @action updateContract(data: iContractState) {
    this.contract = data
  }

  @action resetContractStore() {
    this.tree = []
    this.contract = initData
    this.activeKey = ''
  }
  // 增加行
  // @action addRowTree(id: string) {
  //   const newTree = lookupNode(id, this.tree)
  //   this.tree = newTree
  // }

  // 行点击
  // @action rowChange(id: string) {
  //   const newTree = nodeCheck(id, this.tree)
  //   this.tree = newTree
  // }
  @computed get showTable() {
    return this.tree && this.tree.length > 1
  }
}

// export function lookupNode(id: string, tree: ContractTree[]) {
//   return tree.map((item:ContractTree) => {
//     item.isEdit = false
//     if (item.id === id) {
//       if (Array.isArray(item.children)) {
//         item.children.push({ ...initData[0], isNew: true, code: item.code + `-${item.children.length + 1 }`, parentId: item.id, bidsectionId: item.bidsectionId, attribution: item.code + '-', serial: 1, children: [] })
//       } else {
//         item.children = [ { ...initData[0], isNew: true, code: item.code + '-1', parentId: item.id, bidsectionId: item.bidsectionId, attribution: item.code + '-', serial: 1, children: [] } ]
//       }
//       return item
//     } else if(item.children && item.children.length) {
//       item.children = lookupNode(id, item.children)
//     }
//     return item
//   })
// }

// 项目节被选中更改isEdit的值
// export function nodeCheck(id: string, tree: ContractTree[]) {
//   return tree.map((item: ContractTree) => {
//     item.isEdit = false
//     if (item.id === id) {
//       item.isEdit = true

//     } else if(Array.isArray(item.children)) {
//       item.children = nodeCheck(id, item.children)
//     }
//     return item
//   })
// }

export default new Contract()
