export interface ContractListTree {
  bidsectionId: string
  children: ContractListTree[]
  childsTotal: number
  contracts: number
  contractsIncome: string
  contractsIncomeProgress: string
  contractsPaid: string
  contractsPay: string
  contractsPayProgress: string
  contractsReturned: string
  csrf: string
  hasFolder: boolean
  id: string
  isBid: boolean
  isEnd: boolean
  isfolder: number
  name: string
  parentId: string
  projectId: string
  qualityRectification: number
  qualityRectificationIn: number
  qualityRectificationFinish: number
  qualityTotal: number
  safeRectification: number
  safeRectificationIn: number
  safeRectificationFinish: number
  safeTotal: number
}

export interface ContractTree {
  elderBrother: boolean
  isEnd: boolean
  attribsortution: number
  attribution: string
  bidsectionId: string
  children: ContractTree[]
  code: string
  contractCode: string
  contractId: string
  contractName: string
  contractPrice: string
  contractReturned: string
  contractStatus: number
  contractsPaid: string
  createTime: string
  depth: number
  id: string
  name: string
  operation: string
  parentId: string
  projectId: string
  serial: number
  templateNumber: number
  isEdit?: boolean
  isNew?: boolean
}
export interface iModalProps {
  type: string
  visible: boolean
  confirmLoading: boolean
  contractType: 'income' | 'expenditure'
}
export interface iModalCommonProps {
  modalObj: iModalProps
  onConfirm: (values: any, type: string) => void
  onCancel: () => void
  row: ContractTree
  reload: (type: string) => void
}

export interface iContractState {
  bidsectionId: string
  code: string
  content: string
  contractsType: number
  createTime: string
  id: string
  name: string
  paid: string
  partyA: string
  partyASigner: string
  partyB: string
  partyBSigner: string
  price: number
  projectId: string
  remarks: string
  returned: string
  signerTime: string
  status: number
  treeId: string
  updateTime: string
}

export interface iReceivableState {
  accountId: string
  annexes: number
  bidsectionId: string
  contractsId: string
  createTime: string
  createUser: string
  fileCounts: number
  id: string
  page: number
  price: number
  projectId: string
  remarks: string
  time: string
  way: string
}

export interface iEditableCellProps extends React.HTMLAttributes<HTMLElement> {
  editing: boolean
  dataIndex: string
  title: any
  cellType: 'DatePicker' | 'text' | 'Select' | 'MoneyInput'
  record: iReceivableState
  index: number
  children: React.ReactNode
}

export interface iTemplateState {
  attribution: string
  children: iTemplateState[] | undefined
  depth: number
  id: number
  isEnd: boolean
  leaf: boolean
  name: string
  parentId: number
  serial: string
}
export interface iShowTemplateState {
  isShow: boolean
  template: string
  loading: boolean
}
