import { RouteProps } from 'react-router'
import * as H from 'history'
interface RouteModel {
  path: string;
  component?: any;
  auth?: string[]; // 登录鉴权
  childRoutes?: RouteModol[];
  redirect?: string;
  defaultChildRoute?:boolean, //是否作为默认子路由
  meta?: iMenu;
}

interface iNavSide extends RouteProps {
  showBidsection?: boolean
  childRoutes: RouteModel[]
  location: any
  history?: any
}
interface iMenu {
  icon?: string;
  title: string;
  isTop?: boolean;
  sort?: number;
  //为了确保下次访问页面的时候数据还在，默认是false表示缓存数据。
  noCache?: boolean
}

interface iMenuItem {
  path: string,
  icon: string,
  title: string,
  isTop: boolean,
  sort?: number;
}
interface NavigationGuardsProps extends RouteProps {
  routeConfig: RouteModel[];
  match?: any;
  location?: any
  // permission: string | []
  // isLogin: boolean
  // check: () => void
  // saveMatch: (path: string) => void
}


export {
  RouteModel,
  NavigationGuardsProps,
  iNavSide,
  iMenu,
  iMenuItem
}

