export interface iCreateSafe {
  bidsectionId: string;
  code: string;
  createTime: string;
  inspection: string
  position: string
}

export interface iAuditHistoryState {
  id: string;
  name: string;
  position: string;
  create_time: string;
  end_time: string;
  opinion: string;
  status: number;
  progress: string
}

export interface iAuditHistory {
  [key: string]: iAuditHistoryState[]
}

export interface iRectifiedState {
  name: string;
  create_time: string;
  opinion: string;
}

export interface iLatestAuditorState {
  auditId: string;
  auditOrder: number;
  bidsectionId: string;
  dataId: string;
  dataType: number;
  id: string;
  progress: string;
  projectId: string;
  status: number;
}

export interface iAuditor {
  audit_id: string
  mobile: string
  id: string
  name: string
  position: string
  progress: string
  audit_order: number
  accountGroup: number
  company: string
  status: number
}

export interface iAuditors {
  (key: string): iAuditor[]
}

export interface iSafeList {
  id: string
  code: string
  createTime: string
  position: string
  inspection: string
  inspectionDetail: string
  demand: string
  status: number
  auditName: string
  fileCounts: number
}

export interface ListModal {
  ruleModal: {
    visible: boolean
    loading: boolean
  },
  addModal: {
    visible: boolean
    loading: boolean
  },
  fileModal: {
    visible: boolean,
    dataType: number,
    dataId: string
  },
  dataList: iSafeList[]
  total: number
}
