import { Store } from "antd/lib/form/interface"

export interface iAccountCreatePayload {
  account: string
  password: string
  name: string
  company: string
  mobile: string
  telephone: string
  accountGroup: string
}

export interface iAccountEdit extends accountCreatePayload {
  id: string
}

export interface iUserInfo {
  account: string;
  accountGroup: number;
  company: string;
  csrf: string;
  enable: number;
  id: string;
  isAdmin: number;
  mobile: string;
  name: string;
  password: string;
  position: string;
  jlAuth?: number
  projectId: string;
  role: string;
  telephone: string;
}

export interface iAccountChange {
  id: string
  ps_account: string
  ps_password: string
}

export interface iAccountEnable {
  id: string
  enable: number
}

export interface iAccountGroup {
  [key: string]: iAccountGroupItem
}

interface iAccountGroupItem {
  value: string
  children: iUserInfo[]
}

export interface iGroup {
  key: number
  value: string
}

export interface iPermissionData {
  label: string
  permissions: string[]
  type: string
}

export interface iPermission {
  access: number
  add: number
  delete: number
}
