export default {
  // 基础设置
  VERSION: '1.0.0',
  NAME: '纵横工程建设项目管理系统',
  BASE_URL: {
    DEV: '',
    PROD: ''
  },
  ROUTES_WHILE: [ '/auth', '/login' ], // 路由的白名单
  TOKEN_API: '', // 获取token
  TOKEN_INVALID_CODE: [ 1 ], // 接口返回码如果是1 则表明token过期或无效 需要重新登录
  TOKEN_WHITE_LIST: [ '/api/login' ], // 不需要设置token的白名单
  RET_CODE: { SUCCESS: 0, FAIL: -1, UN_PERMISSION: 2 }, // 接口返回状态码
  RETRY: { COUNT: 2, DELAY: 1000 }, // 请求重试次数/间隙
  RULE: { SAFE: 'safeRule', QUALITY: 'qualityRule', CONTRACT_RETURN: 'contractReturnRule', CONTRACT_PAID: 'contractPaidRule' }, // 编号规则弹窗常量
  UPLOAD_WHITE: "(.json|.txt|.xls|.xlsx|.doc|.docx|.pdf|.ppt|.pptx|.png|.jpg|.jpeg|.gif|.bmp|.cad|.dwg|.zip|.rar|.7z)$"  , // 上传类型-白名单
  UPLOAD_LIMIT: 30, // 上传限制30MB
  DATA_TYPE: { CONTRACT_RETURN: 1, QUALITY: 2, SAFE: 3, INCOME: 4, CONTRACT_PAID: 5, EXPENDITURE: 6 }, // 附件类型：1.回款证明2.质量附件3.安全附件4.合同文件(收入)5.支出证明6.合同文件(支出)
  PAGE_SIZE: 10, // 默认页数
  OSS_PATH: {
    REVIEW: 'https://file-upload.6jlzf.cn/',
    DOWNLOAD: 'https://measuresaas.oss-cn-shenzhen.aliyuncs.com/'
  },
  CONTRACT_TREE: { RETURN: 0, PAID: 1 }, // 合同管理-树结构， 0 - 收入， 1- 支出
  BIDSECTION_TYPE: { CONTRACT: 0, SAFE: 1, QUALITY: 2 }, // 获取标段列表的类型
  JL_PATH: {
    QA: 'http://jlqa.smartcost.com.cn:7002',
    PROD: 'https://jl.smartcost.com.cn',
    UAT: 'https://jluat.smartcost.com.cn'
  }
}

